// Web-page common support:
class Common
{
   private static _ErrorClassName_: string = 'with_error';

   static UseErrorClass(elem: HTMLElement, use: boolean) {
      HElement.UseClass(elem, Common._ErrorClassName_, use)
   }
   static IncludeErrorClass(elem: HTMLElement) {
      HElement.IncludeClass(elem, Common._ErrorClassName_)
   }
   static ExcludeErrorClass(elem: HTMLElement) {
      HElement.ExcludeClass(elem, Common._ErrorClassName_)
   }

   static ColorTableInterleaved(id: string, color: string='LightGray') {
      $('table#' + id + ' > tbody > tr:even').css('background-color', color)
   }
} // Common
